Loading...
Searching...
No Matches
etl::message_packet< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, void, void > Class Template Reference

## Public Types

enum | { SIZE = etl::largest<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14>::size , ALIGNMENT = etl::largest<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14>::alignment }
enum |

## Public Member Functions

| message_packet (const etl::imessage &msg)
template<typename TMessage>

message_packet (const TMessage &, typename etl::enable_if<!etl::is_same< typename etl::remove_cvref< TMessage >::type, etl::message_packet< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14 > >::value &&!etl::is_same< typename etl::remove_cvref< TMessage >::type, etl::imessage >::value &&!etl::is_one_of< typename etl::remove_cvref< TMessage >::type, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14 >::value, int >::type=0)

| message_packet (const message_packet &other)
message_packet & | operator= (const message_packet &rhs)
etl::imessage & | get () ETL_NOEXCEPT
const etl::imessage & | get () const ETL_NOEXCEPT
bool | is_valid () const

## Static Public Member Functions

static ETL_CONSTEXPR bool | accepts (etl::message_id_t id)
static ETL_CONSTEXPR bool | accepts (const etl::imessage &msg)
template<etl::message_id_t Id>
static ETL_CONSTEXPR bool | accepts ()
template<typename TMessage>
static ETL_CONSTEXPR etl::enable_if< etl::is_base_of< etl::imessage, TMessage >::value, bool >::type | accepts ()

The documentation for this class was generated from the following file:

- include/etl/message_packet.h